Summary:	Utilities to create and check MS-DOS FAT filesystems
Name:		dosfstools
Version:        4.1
Release:        %mkrel 1
Source0:	http://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
License:	GPLv3+
URL:		http://github.com/dosfstools/dosfstools
Group:		File tools
Obsoletes:	mkdosfs-ygg
Provides:	mkdosfs-ygg = %{version}

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%prep
%setup -q

%build
%configure2_5x --enable-compat-symlinks
%make PREFIX=%{_prefix} CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%makeinstall_std PREFIX=%{_prefix} SBINDIR=%{_sbindir}
rm -rf %{buildroot}%{_docdir}%{name}

%files
%doc ChangeLog* doc/*
%{_sbindir}/mkdosfs
%{_sbindir}/mkfs.fat
%{_sbindir}/mkfs.msdos
%{_sbindir}/mkfs.vfat
%{_sbindir}/fatlabel
%{_sbindir}/fsck.fat
%{_sbindir}/fsck.msdos
%{_sbindir}/fsck.vfat
%{_sbindir}/dosfsck
%{_sbindir}/dosfslabel
%{_mandir}/man8/*


%changelog
* Sun Jan 29 2017 luigiwalser <luigiwalser> 4.1-1.mga6
+ Revision: 1084014
- 4.1

* Mon May 09 2016 luigiwalser <luigiwalser> 4.0-1.mga6
+ Revision: 1011255
- 4.0

* Thu Feb 11 2016 umeabot <umeabot> 3.0.28-2.mga6
+ Revision: 953796
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 blino <blino> 3.0.28-1.mga6
+ Revision: 857750
- 3.0.28

* Thu Nov 20 2014 luigiwalser <luigiwalser> 3.0.27-1.mga5
+ Revision: 797961
- 3.0.27
- change to new source URLs

* Wed Oct 15 2014 umeabot <umeabot> 3.0.26-3.mga5
+ Revision: 751236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.26-2.mga5
+ Revision: 678815
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 luigiwalser <luigiwalser> 3.0.26-1.mga5
+ Revision: 601111
- 3.0.26

* Sat Jan 18 2014 luigiwalser <luigiwalser> 3.0.25-1.mga4
+ Revision: 566802
- 3.0.25

* Thu Dec 05 2013 luigiwalser <luigiwalser> 3.0.24-1.mga4
+ Revision: 555408
- 3.0.24

* Tue Oct 22 2013 umeabot <umeabot> 3.0.23-2.mga4
+ Revision: 545022
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 3.0.23-1.mga4
+ Revision: 500663
- 3.0.23

* Fri Jul 19 2013 luigiwalser <luigiwalser> 3.0.22-1.mga4
+ Revision: 456366
- 3.0.22

* Tue Jul 16 2013 luigiwalser <luigiwalser> 3.0.21-1.mga4
+ Revision: 455066
- 3.0.21
- remove upstreamed patch

* Thu Jun 13 2013 luigiwalser <luigiwalser> 3.0.20-1.mga4
+ Revision: 442549
- 3.0.20
- call new Makefile target to install command symlinks
- fix parallel make issue with install-symlinks

* Wed Jun 12 2013 luigiwalser <luigiwalser> 3.0.19-1.mga4
+ Revision: 442025
- 3.0.19

* Fri Jun 07 2013 luigiwalser <luigiwalser> 3.0.18-1.mga4
+ Revision: 438755
- 3.0.18
- update files list

* Sun Jun 02 2013 luigiwalser <luigiwalser> 3.0.17-1.mga4
+ Revision: 434312
- 3.0.17

* Sat Mar 02 2013 luigiwalser <luigiwalser> 3.0.16-1.mga3
+ Revision: 401033
- 3.0.16

* Sun Feb 24 2013 luigiwalser <luigiwalser> 3.0.15-1.mga3
+ Revision: 400209
- 3.0.15
- remove the patches which were accepted upstream

* Wed Jan 30 2013 luigiwalser <luigiwalser> 3.0.14-1.mga3
+ Revision: 393604
- 3.0.14

* Fri Jan 11 2013 umeabot <umeabot> 3.0.13-2.mga3
+ Revision: 349065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.0.13-1.mga3
+ Revision: 308313
- 3.0.13
- remove upstreamed patch

* Thu Sep 20 2012 sander85 <sander85> 3.0.12-2.mga3
+ Revision: 296349
- usrmove
- Add few patches from Fedora

* Mon Nov 14 2011 dams <dams> 3.0.12-1.mga2
+ Revision: 167422
- new version 3.0.12

* Wed Mar 23 2011 tv <tv> 3.0.11-1.mga1
+ Revision: 75801
- new release

* Tue Jan 11 2011 blino <blino> 3.0.10-1.mga1
+ Revision: 5774
- imported package dosfstools

